# CKEditor Text Transformation / AutoCorrect

This module adds the [automatic text transformation](https://ckeditor.com/docs/ckeditor5/latest/features/text-transformation.html)
feature to CKEditor 5.

The 1.x branch works with CKEditor 4 and integrates the [AutoCorrect](https://ckeditor.com/cke4/addon/autocorrect)
plugin, which provides similar function.

## Post Installation and Setup (1.x / CKEditor 4)

You need to install the **AutoCorrect** plugin to the `libraries` folder. If
you're using Composer, add the entry below to the `repositories` section and
then require the `ckeditor-plugin/autocorrect` package.

```json
{
    "type": "package",
    "package": {
        "name": "ckeditor-plugin/autocorrect",
        "version": "3.0",
        "type": "drupal-library",
        "dist": {
            "url": "https://github.com/danyaPostfactum/ckeditor-autocorrect-plugin/archive/refs/tags/3.0.zip",
            "type": "zip"
        }
    }
}
```

```shell
$ composer require ckeditor-plugin/autocorrect
```

If you're not using Composer, you must download it manually from the [plugin's page](https://ckeditor.com/cke4/addon/autocorrect)
and unzip it to `libraries/autocorrect`, so that the plugin's main JS file can be found on `libraries/autocorrect/autocorrect/plugin.js`.

After this. you must have the _AutoCorrect_ button available on the editors' toolbar configuration.
